# __gnu_cxx::limit_condition Struct Reference

Base class for incremental control and throw. More...

Inheritance diagram for __gnu_cxx::limit_condition:
[legend]

List of all members.

## Classes

- struct always_adjustor
    Always enter the condition. More...
- struct limit_adjustor
    Enter the nth condition. More...
- struct never_adjustor
    Never enter the condition. More...

## Static Public Member Functions

- static size_t & count ()
- static size_t & limit ()
- static void set_limit (const size_t __l)
- static void throw_conditionally ()

## Detailed Description

Base class for incremental control and throw.

Definition at line 262 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h